[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TUpdateStatus

Record update status

## Declaration

Source position: db.pas line 58

`type TUpdateStatus = (`
`usUnmodified,` |  | Record is unmodified
`usModified,` |  | Record exists in the database but is locally modified
`usInserted,` |  | Record does not yet exist in the database, but is locally inserted
`usDeleted` |  | Record exists in the database, but is locally deleted.
`);`

## Description

TUpdateStatus determines the current state of the record buffer, if updates have not yet been applied to the database.

## See also

TDataset.UpdateStatus |  | Get the update status for the current record

Documentation generated on: Feb 26 2014